# Laravel Snippets

[`Laravel snippets`](https://marketplace.visualstudio.com/items?itemName=onecentlin.laravel5-snippets) extension for Visual Studio Code (Support Laravel 5 and above version).

- Laravel 5.x-9.x

## Screenshot

![Screenshot](https://github.com/onecentlin/laravel5-snippets-vscode/raw/master/images/screenshot.gif)

## Usage

Snippet prefix follows Laravel Facades. For example: `Request::`, `Route::`

## Support Snippet Prefix

* Auth
* Broadcast
* Cache
* Config
* Console
* Cookie
* Crypt
* DB
* Eloquent
* Event
* Form ([Laravel Collective Form/Html](https://packagist.org/packages/laravelcollective/html) needs to be installed and available as `blade` snippets)
* Hash
* Helper
* Log
* Mail - Contains `Mail::` and `Mailable::` prefix for mail related settings
* Passport (Laravel v5.3 - [API Authentication](https://laravel.com/docs/5.3/passport))
* Redirect
* Relation
* Request
* Response
* Route
* Schema - Contains `Schema::` and `Column::` prefix for database related settings
* Session
* Storage
* Str
* View

> Blade - Please install [`Laravel Blade Snippets` extension](https://marketplace.visualstudio.com/items?itemName=onecentlin.laravel-blade) for blade syntax highlighting and better support with blade and emmet.

## Contact

Please file any [issues](https://github.com/onecentlin/laravel5-snippets-vscode/issues) or have a suggestion please tweet me [@onecentlin](https://twitter.com/onecentlin).

## Credits

* Snippets based on [Laravel 5 Snippets for Sublime Text](https://github.com/Lykegenes/laravel-5-snippets)

## License

Please read [License](https://github.com/onecentlin/laravel5-snippets-vscode/blob/master/LICENSE.md) for more information.
